Subject: bug#67925: 29.1; delete-rectangle fails on multi-column characters

From: Juri Linkov <[email-masked]>
Date: Sun, 24 Dec 2023 10:31:06 +0200

>> OTOH, with monospaced fonts LibreOffice selects such Block Area
>> on the reported text:
>> 
>> and DEL deletes the selected text.  So maybe Emacs should do the same.
>
> The patch I posted in
>
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67925#8
>
> is supposed to do precisely that (and does it at least in this simple
> example).

I confirm this, so probably it's impossible to do anything better than that.